* {
    padding: 0;
    margin: 0;
}

@font-face {
    font-family: main;
    src: url(MomoTrustDisplay-Regular.ttf);
}

:root {
    --background: #FFFFFF;
    --main-color: #228B22;
    --second-color: #ffbb00;
    --main-text: #000000;

    /* FONT SIZES */
    --button: clamp(1em, 1vw, 1.5em);
    --medium-header: clamp(2em, 3vw, 4em);
    --header: clamp(4em, 8vw, 8em);
}

body {
    font-family: main;
}

/*=== NAV ===*/
nav {
    width: 100%;
    height: 10vh;

    display: flex;
    justify-content: space-between;
    align-items: center;

    background: var(--background);

    z-index: 999;
    position: sticky;

    min-height: 64px;
}

/*=== LOGO === */
.logo {
    width: 25%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;
}

.logo img {
    height: 67%;
    aspect-ratio: 1/1;
    width: auto;
}

/*=== BUTTONS ===*/
.buttons {
    width: 50%;
    height: 100%;

    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.buttons a {
    color: var(--main-text);
    text-decoration: none;

    font-size: var(--button);

    transition: background 0.3s ease, padding 0.3s ease, border-radius 0.3s ease;
}

.buttons a:hover {
    color: #FFFFFF;
    background: var(--main-color);

    padding: 16px 32px;
    border-radius: 32px;
}

/*=== PROFILE ===*/
.profile {
    width: 25%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
}

.profile .login {
    width: 25%;

    text-align: center;

    color: #FFFFFF;
    background: var(--main-color);

    padding: 16px 32px;
    border-radius: 32px;
    text-decoration: none;

    font-size: var(--button);   

    transition: all 0.3s ease ;
}

.profile .login:hover {
    width: 50%;
    background: var(--second-color);
}

.loged {
    width: 100%;
    height: 100%;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.loged a {
    height: 37%;
    width: auto;
    aspect-ratio: 1/1;

    margin: 0px 32px 0px 32px;

    transition: all 0.3s ease;
}

.loged a:hover {
    background: var(--main-color);
    width: none;

    padding: 16px;
    border-radius: 100%;
}

.loged a:hover img {
    filter: invert(1);
}

.loged img {
    height: 100%;
}


/*=== HAMBURGER ===*/
.hamburger {
    display: none;
    cursor: pointer;
}

.bar {
    display: block;
    width: 50px;
    height: 6px;
    border-radius: 16px;
    margin: 10px auto;
    transition: all 0.3s ease-in-out;
    background-color: var(--mainText);
}

/*=== FOOTER ===*/

footer {
    width: 100%;
    height: 5vh;
    padding: 32px 0px;
    background: var(--main-color);

    position: absolute;

    display: flex;
    align-items: center;
    justify-content: space-evenly;

    z-index: 998;
}

footer p {
    
    color: #FFFFFF;
    font-size: var(--button);
}

footer p a {
    color: var(--second-color);

    transition: all 0.3s ease;
}

footer p a:hover {
    padding: 8px 32px;
    background: var(--second-color);
    border-radius: 32px;

    margin-left: 8px;

    color: #FFFFFF;
    text-decoration: none;
}


@media only screen and (max-width: 1080px) {
    nav {
        width: 100%;
        background: var(--background);
        display: flex;
        justify-content: space-between;
    }

    .logo {
        width: 20%;
        justify-content: space-between;
        padding: 0 32px;
    }

    .profile {
        width: 80%;
        margin-right: 128px;
        justify-content: end;
    }

    .profile .login {
        width: 25%;
    }

    .buttons {
        position: fixed;
        left: -100%;
        top: 10vh;
        height: 90vh;
        width: 100vw;
        background: #00000080;
        backdrop-filter: blur(8px);
        text-align: center;
        transition: 0.3s ease;
        flex-direction: column;
        justify-content: space-evenly;

        z-index: 999;
    }

    .buttons a {
        font-size: var(--medium-header);
        color: #fff;
    }

    .buttons a:hover {
        background: var(--main-color);
        border-radius: 32px;
        padding: 16px 48px;
    }

    .buttons.active {
        left: 0;
    }

    

    .hamburger {
        display: block;
        position: absolute;
        right: 32px;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1001;
    }

    .bar {
        display: block;
        width: 40px;
        height: 5px;
        border-radius: 16px;
        margin: 8px auto;
        transition: all 0.3s ease-in-out;
        background-color: var(--main-text);
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .bar:nth-child(1) {
        transform: translateY(13px) rotate(45deg);
    }

    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-13px) rotate(-45deg);
    }
}

@media only screen and (max-width: 500px) {
    
    .profile .login {
        width: 50%;
    }

    footer {
        flex-direction: column;
    }
}


